> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Demote Admin

> Demote admins to regular participants

## Description

This endpoint allows demoting group admins to regular participants.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

<ParamField path="id" type="string" required>
  ID of the group in format `120363XXXXX@g.us`
</ParamField>

## Body

```json theme={null}
{
  "participants": [
    "5511999999999@s.whatsapp.net"
  ]
}
```

### Body Parameters

| Property       | Type    | Required | Description                                                                       |
| -------------- | ------- | -------- | --------------------------------------------------------------------------------- |
| `participants` | `array` | ✅ Yes    | Array of JIDs of admins to be demoted. Format: `["5511999999999@s.whatsapp.net"]` |

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "message": "Admins demoted successfully"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Admins demoted successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `403` - No permission (admins only)
* `404` - Group not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/admin/demote \
    -H "Content-Type: application/json" \
    -d '{
      "participants": ["5511999999999@s.whatsapp.net"]
    }'
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const groupId = '120363XXXXX@g.us';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}/admin/demote`, {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({
      participants: ['5511999999999@s.whatsapp.net']
    })
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  group_id = '120363XXXXX@g.us'
  response = requests.post(
    f'https://api.wappfy.com.br/api/{session}/groups/{group_id}/admin/demote',
    json={'participants': ['5511999999999@s.whatsapp.net']}
  )
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json post /api/{session}/groups/{id}/admin/demote
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/groups/{id}/admin/demote:
    post:
      tags:
        - 👥 Groups
      summary: Demote participants to regular users
      description: The {session} parameter must be the session's instanceName.
      operationId: GroupsController_demoteToAdmin
      parameters:
        - name: id
          required: true
          in: path
          description: ID do Grupo
          example: 123123123@g.us
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ParticipantsRequest'
      responses:
        '200':
          description: ''
      security:
        - api_key: []
components:
  schemas:
    ParticipantsRequest:
      type: object
      properties:
        participants:
          type: array
          items:
            $ref: '#/components/schemas/Participant'
      required:
        - participants
    Participant:
      type: object
      properties:
        id:
          type: string
          example: 123456789@c.us
      required:
        - id
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````